<?php 

class cSubcuenta{	

	function insertar($cod,$nom,$ord,$cue_id){

		$sql="INSERT INTO `tb_subcuenta`(	

		`tb_subcuenta_cod`, 

		`tb_subcuenta_nom`, 

		`tb_subcuenta_ord`, 

		`tb_cuenta_id`

		)

		VALUES ('$cod','$nom','$ord','$cue_id');";

		$oCado= new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		

	}	

	function modificar($id,$cod,$nom,$ord,$cue_id){

		$sql="UPDATE `tb_subcuenta` SET 		

		`tb_subcuenta_cod`='$cod',

		`tb_subcuenta_nom`='$nom',

		`tb_subcuenta_ord`='$ord',

		`tb_cuenta_id`='$cue_id'

		WHERE tb_subcuenta_id='$id';";

		$oCado= new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function eliminar_sub($id,$campo,$valor){ 

	$sql = "UPDATE tb_subcuenta SET  

	`tb_subcuenta_$campo` =  '$valor'

	WHERE  tb_subcuenta_id =$id;"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}	

	function mostrarUno($id){

		$sql="SELECT * FROM tb_subcuenta

		WHERE tb_subcuenta_id=$id";

		$oCado= NEW Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function mostrar_por_cuenta($id){

		$sql="SELECT * FROM tb_subcuenta

		WHERE tb_cuenta_id=$id";

		$oCado= NEW Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	



	function filtrar($cue_id){

	$sql="SELECT * FROM `tb_subcuenta`

	WHERE tb_subcuenta_xac=1

	AND tb_cuenta_id=$cue_id 

	ORDER BY tb_subcuenta_nom";



	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}



}

?>